

package Text::Color;

require Exporter;

@ISA = (Exporter);

@EXPORT = qw(cprint);

use vars qw($VERSION);

$VERSION = "0.1";


BEGIN {}


sub cprint
{
	# \033[1m%30s\033[0m	
	local %Color = ( 	'black'		=> '0;30',
			  	'red'   	=> '0;31',
			  	'green' 	=> '0;32',
				'yellow'	=> '0;33',
				'blue'		=> '0;34',
				'magenta'	=> '0;35',
				'cyan'		=> '0;36',
				'white'		=> '0;37',
				'BLACK'		=> '1;30',
				'RED'		=> '1;31',
				'GREEN'		=> '1;32',
				'YELLOW'	=> '1;33',
				'BLUE'		=> '1;34',
				'MAGENTA'	=> '1;35',
				'CYAN'		=> '1;36',
				'WHITE'		=> '1;37',
				'black_'        => '4;30',
                                'red_'          => '4;31',
                                'green_'        => '4;32',
                                'yellow_'       => '4;33',
                                'blue_'         => '4;34',
                                'magenta_'      => '4;35',
                                'cyan_'         => '4;36',
                                'white_'        => '4;37',
				'blackI'        => '7;30',
                                'redI'          => '7;31',
                                'greenI'        => '7;32',
                                'yellowI'       => '7;33',
                                'blueI'         => '7;34',
                                'magentaI'      => '7;35',
                                'cyanI'         => '7;36',
                                'whiteI'        => '7;37'
			);		

	# $_ = string to print.
	#$T =~ s/<(\w+)>([\w+\W+\d+])<\/(\w+)>/g;
	# $1 = Color, $2=text, $3=/Color
	$default = "\033[0m";
	$S = $_[0];
	foreach $Col (%Color)
	{
		if ($S =~ /<$Col>/g)
		{
			$NC = "\033[" . $Color{$Col} . "m";	
			$S =~ s/<$Col>/$NC/g;
			$S =~ s/<\/$Col>/$default/g;
		}
	}
	print $S;
}
1;
__END__

=head1 NAME

Text::Color - print Colored output to a console

=head1 SYNOPSIS

	use Text::Color

	cprint "a <red>red line</red>\n";
	cprint "a <RED>bold red line</RED>\n";
	cprint "a <red_>underscored line</red_>\n";
	cprint "a <redI>inverted red line</redI>\n";

=head1 DESCRIPTION

The perl module Text::Color contains only one function: cprint().
You can use it to print Colored output to the console.
It will only work on terminals that supports it!

You can print it bold, underscored, inverted or normal.

=head1 ColorS

The following Colors are available:

	<black>		
        <red>
        <green>
        <yellow>
        <blue>
        <magenta>
        <cyan>
        <white>


=head1 USAGE

The usage of cprint() is the same as HTML-code. To start print red
output, use <red>. Every following text will be red. If an </red> occurs,
cprint will return to the default Color.
Note: 
	<Color> starts printing with a Color.
	</Color> ends printing with a Color.


u can print it bold, if you write the Color in uppercase letters:

        <BLACK> or <RED>

You can print it underscored, if you append an "_" to the Color:

        <black_> or <red_>

You can print it inverted, if you append an "I" to the Color:

        <blackI> or <redI>


=head1 BUGS

If you find one, please report to <tom@daemon.de>.


=head1 AUTHOR

Thomas Linden <tom@daemon.de>.


=cut

